Chat Ui - MessageReplyModel
30 Sep 20262 minutes to read
Interface for a class MessageReply
Properties
attachedFile FileInfo
Represents the attached files of the message sent by a user in the Chat UI component.
mentionUsers UserModel[]
Represents the mentioned Users of the message sent by the replied user in the Chat UI component.
<ejs-chatui [user]="currentUserModel" [mentionUsers] = "mentionUsers">
<e-messages>
<e-message text="Want to get coffee tomorrow?" [author]="currentUserModel"></e-message>
<e-message text="Sure! What time?" [author]="michaleUserModel"></e-message>
<e-message text="{0} How about 10 AM?" [author]="currentUserModel" [mentionUsers] = "[michaleUserModel]"></e-message>
</e-messages>
</ejs-chatui>import { ChatUIModule } from '@syncfusion/ej2-angular-interactive-chat';
import { UserModel } from '@syncfusion/ej2-interactive-chat';
import { Component, ViewEncapsulation } from '@angular/core';
@Component({
selector: "app-root",
templateUrl: "app.component.html",
styleUrls: ['app.component.css'],
encapsulation: ViewEncapsulation.None,
standalone: true,
imports: [ChatUIModule]
})
export class AppComponent {
public currentUserModel: UserModel = { user: 'Albert', id: 'user1' };
public michaleUserModel: UserModel = { user: 'Michale Suyama', id: 'user2' };
public customUserModel: UserModel = { user: 'Reena', id: 'custom-user' };
public mentionUsers: UserModel[] = [this.currentUserModel, this.customUserModel];
}messageID string
Represents the id of the message sent by the replied user in the Chat UI component.
text string
Represents the content of the message sent by a user in the Chat UI component.
timestamp Date
Specifies the timestamp of when the replied message was sent.
This property holds a Date object that represents the exact time the message was created, providing context to the conversation flow.
timestampFormat string
Specifies the format of the timestamp for displaying the reply message’s sending time.
If empty, the format is determined by the application’s culture settings.
Supports format strings like ‘dd/MM/yyyy hh:mm’.
user UserModel
Specifies the author of the message in the Chat UI component.
This property references a UserModel object that contains details about the user who sent the message.

MessageReplyModel
9 Jul 20261 minute to read
Interface for a class MessageReply
Properties
attachedFile FileInfo
Represents the attached files of the message sent by a user in the Chat UI component.
mentionUsers UserModel[]
Represents the mentioned Users of the message sent by the replied user in the Chat UI component.
import { ChatUIComponent, UserModel, MentionSelectEventArgs } from '@syncfusion/ej2-react-interactive-chat';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
function App() {
const currentUserModel: UserModel = {
id: "user1",
user: "Albert"
};
const michaleUserModel: UserModel = {
id: "user2",
user: "Michale Suyama"
};
const handleMentionSelect = (args: MentionSelectEventArgs) => {
// Your required action here
};
return (
// Specifies the tag for rendering the Chat UI component
<ChatUIComponent
mentionUsers={[currentUserModel, michaleUserModel]}
mentionSelect={handleMentionSelect}
/>
);
}
ReactDOM.render(<App />, document.getElementById('container'));
messageID string
Represents the id of the message sent by the replied user in the Chat UI component.
text string
Represents the content of the message sent by a user in the Chat UI component.
timestamp Date
Specifies the timestamp of when the replied message was sent.
This property holds a Date object that represents the exact time the message was created, providing context to the conversation flow.
timestampFormat string
Specifies the format of the timestamp for displaying the reply message’s sending time.
If empty, the format is determined by the application’s culture settings.
Supports format strings like ‘dd/MM/yyyy hh:mm’.
user UserModel
Specifies the author of the message in the Chat UI component.
This property references a UserModel object that contains details about the user who sent the message.

Chat Ui - MessageReplyModel

30 Sep 20262 minutes to read

Interface for a class MessageReply

Properties

attachedFile FileInfo

Represents the attached files of the message sent by a user in the Chat UI component.

mentionUsers UserModel[]

Represents the mentioned Users of the message sent by the replied user in the Chat UI component.

<template>
  <div style="height: 380px; width: 450px; margin: 0 auto;">
    <ejs-chatui :user="currentUser"
      :mentionUsers="mentionUsers" 
      :mentionSelect="mentionSelect" 
    ></ejs-chatui>
  </div>
</template>

<script>
import { ChatUIComponent } from "@syncfusion/ej2-vue-interactive-chat";
import { enableRipple } from "@syncfusion/ej2-base";

// Enable ripple effect
enableRipple(true);

export default {
  components: {
    'ejs-chatui': ChatUIComponent
  },
  data() {
    return {
      currentUser: {
        id: "user1",
        user: "Albert",
      },
      // Define user models for mentions
      mentionUsers: [
        {
          id: "user1",
          user: "Albert"
        },
        {
          id: "user2",
          user: "Michale Suyama"
        }
      ],
      mentionSelect: (args) => {
        // Your required action here
      }
    };
  },
};
</script>

messageID string

Represents the id of the message sent by the replied user in the Chat UI component.

text string

Represents the content of the message sent by a user in the Chat UI component.

timestamp Date

Specifies the timestamp of when the replied message was sent.
This property holds a Date object that represents the exact time the message was created, providing context to the conversation flow.

timestampFormat string

Specifies the format of the timestamp for displaying the reply message’s sending time.
If empty, the format is determined by the application’s culture settings.
Supports format strings like ‘dd/MM/yyyy hh:mm’.

user UserModel

Specifies the author of the message in the Chat UI component.
This property references a UserModel object that contains details about the user who sent the message.